## mesa 8.0.4

=== Makefile ===
# Top-level Mesa makefile

TOP = .

SUBDIRS = src


# The git command below generates an empty string when we're not
# building in a GIT tree (i.e., building from a release tarball).
default: $(TOP)/configs/current
	@$(TOP)/bin/extract_git_sha1
	@for dir in $(SUBDIRS) ; do \
		if [ -d $$dir ] ; then \
			(cd $$dir && $(MAKE)) || exit 1 ; \
		fi \
	done

all: default


doxygen:
	cd doxygen && $(MAKE)

check:
	cd src/glsl/tests/ && ./optimization-test
	make -C tests check

clean:
	-@touch $(TOP)/configs/current
	-@for dir in $(SUBDIRS) ; do \
		if [ -d $$dir ] ; then \
			(cd $$dir && $(MAKE) clean) ; \
		fi \
	done
	-@test -s $(TOP)/configs/current || rm -f $(TOP)/configs/current


realclean: clean
	-rm -rf lib*
	-rm -f $(TOP)/configs/current
	-rm -f $(TOP)/configs/autoconf
	-rm -rf autom4te.cache
	-find . '(' -name '*.o' -o -name '*.a' -o -name '*.so' -o \
	  -name depend -o -name depend.bak ')' -exec rm -f '{}' ';'


distclean: realclean


install:
	@for dir in $(SUBDIRS) ; do \
		if [ -d $$dir ] ; then \
			(cd $$dir && $(MAKE) install) || exit 1 ; \
		fi \
	done


.PHONY: default doxygen clean realclean distclean install check

# If there's no current configuration file
$(TOP)/configs/current:
	@echo
	@echo
	@echo "Please choose a configuration from the following list:"
	@ls -1 $(TOP)/configs | grep -v "current\|default\|CVS\|autoconf.*"
	@echo
	@echo "Then type 'make <config>' (ex: 'make linux-x86')"
	@echo
	@echo "Or, run './configure' then 'make'"
	@echo "See './configure --help' for details"
	@echo
	@echo "(ignore the following error message)"
	@exit 1


# Rules to set/install a specific build configuration
aix \
aix-64 \
aix-64-static \
aix-gcc \
aix-static \
autoconf \
bluegene-osmesa \
bluegene-xlc-osmesa \
catamount-osmesa-pgi \
darwin \
darwin-fat-32bit \
darwin-fat-all \
freebsd \
freebsd-dri \
freebsd-dri-amd64 \
freebsd-dri-x86 \
hpux10 \
hpux10-gcc \
hpux10-static \
hpux11-32 \
hpux11-32-static \
hpux11-32-static-nothreads \
hpux11-64 \
hpux11-64-static \
hpux11-ia64 \
hpux11-ia64-static \
hpux9 \
hpux9-gcc \
irix6-64 \
irix6-64-static \
irix6-n32 \
irix6-n32-static \
irix6-o32 \
irix6-o32-static \
linux \
linux-i965 \
linux-alpha \
linux-alpha-static \
linux-debug \
linux-dri \
linux-dri-debug \
linux-dri-x86 \
linux-dri-x86-64 \
linux-dri-ppc \
linux-dri-xcb \
linux-egl \
linux-indirect \
linux-fbdev \
linux-ia64-icc \
linux-ia64-icc-static \
linux-icc \
linux-icc-static \
linux-llvm \
linux-llvm-debug \
linux-opengl-es \
linux-osmesa \
linux-osmesa-static \
linux-osmesa16 \
linux-osmesa16-static \
linux-osmesa32 \
linux-ppc \
linux-ppc-static \
linux-profile \
linux-sparc \
linux-sparc5 \
linux-static \
linux-ultrasparc \
linux-tcc \
linux-x86 \
linux-x86-debug \
linux-x86-32 \
linux-x86-64 \
linux-x86-64-debug \
linux-x86-64-profile \
linux-x86-64-static \
linux-x86-profile \
linux-x86-static \
netbsd \
openbsd \
osf1 \
osf1-static \
solaris-x86 \
solaris-x86-gcc \
solaris-x86-gcc-static \
sunos4 \
sunos4-gcc \
sunos4-static \
sunos5 \
sunos5-gcc \
sunos5-64-gcc \
sunos5-smp \
sunos5-v8 \
sunos5-v8-static \
sunos5-v9 \
sunos5-v9-static \
sunos5-v9-cc-g++ \
ultrix-gcc:
	@ if test -f configs/current -o -L configs/current; then \
		if ! cmp configs/$@ configs/current > /dev/null; then \
			echo "Please run 'make realclean' before changing configs" ; \
			exit 1 ; \
		fi ; \
	else \
		cd configs && rm -f current && ln -s $@ current ; \
	fi
	$(MAKE) default


# Rules for making release tarballs

PACKAGE_VERSION=8.0.4
PACKAGE_DIR = Mesa-$(PACKAGE_VERSION)
PACKAGE_NAME = MesaLib-$(PACKAGE_VERSION)

EXTRA_FILES = \
	aclocal.m4					\
	configure					\
	tests/Makefile.in				\
	tests/glx/Makefile.in				\
	src/glsl/glsl_parser.cpp			\
	src/glsl/glsl_parser.h				\
	src/glsl/glsl_lexer.cpp				\
	src/glsl/glcpp/glcpp-lex.c			\
	src/glsl/glcpp/glcpp-parse.c			\
	src/glsl/glcpp/glcpp-parse.h			\
	src/mesa/main/api_exec_es1.c			\
	src/mesa/main/api_exec_es1_dispatch.h		\
	src/mesa/main/api_exec_es1_remap_helper.h	\
	src/mesa/main/api_exec_es2.c			\
	src/mesa/main/api_exec_es2_dispatch.h		\
	src/mesa/main/api_exec_es2_remap_helper.h	\
	src/mesa/program/lex.yy.c			\
	src/mesa/program/program_parse.tab.c		\
	src/mesa/program/program_parse.tab.h

IGNORE_FILES = \
	-x autogen.sh


parsers: configure
	-@touch $(TOP)/configs/current
	$(MAKE) -C src/glsl glsl_parser.cpp glsl_parser.h glsl_lexer.cpp
	$(MAKE) -C src/glsl/glcpp glcpp-lex.c glcpp-parse.c glcpp-parse.h
	$(MAKE) -C src/mesa program/lex.yy.c program/program_parse.tab.c program/program_parse.tab.h

# Everything for new a Mesa release:
ARCHIVES = $(PACKAGE_NAME).tar.gz \
	$(PACKAGE_NAME).tar.bz2 \
	$(PACKAGE_NAME).zip \

tarballs: md5
	rm -f ../$(PACKAGE_DIR) $(PACKAGE_NAME).tar

# Helper for autoconf builds
ACLOCAL = aclocal
ACLOCAL_FLAGS =
AUTOCONF = autoconf
AC_FLAGS =
aclocal.m4: configure.ac acinclude.m4
	$(ACLOCAL) $(ACLOCAL_FLAGS)
configure: configure.ac aclocal.m4 acinclude.m4
	$(AUTOCONF) $(AC_FLAGS)

manifest.txt: .git
	( \
		ls -1 $(EXTRA_FILES) ; \
		git ls-files $(IGNORE_FILES) \
	) | sed -e '/^\(.*\/\)\?\./d' -e "s@^@$(PACKAGE_DIR)/@" > $@

../$(PACKAGE_DIR):
	ln -s $(PWD) $@

$(PACKAGE_NAME).tar: parsers ../$(PACKAGE_DIR) manifest.txt
	cd .. ; tar -cf $(PACKAGE_DIR)/$(PACKAGE_NAME).tar -T $(PACKAGE_DIR)/manifest.txt

$(PACKAGE_NAME).tar.gz: $(PACKAGE_NAME).tar ../$(PACKAGE_DIR)
	gzip --stdout --best $(PACKAGE_NAME).tar > $(PACKAGE_NAME).tar.gz

$(PACKAGE_NAME).tar.bz2: $(PACKAGE_NAME).tar
	bzip2 --stdout --best $(PACKAGE_NAME).tar > $(PACKAGE_NAME).tar.bz2

$(PACKAGE_NAME).zip: parsers ../$(PACKAGE_DIR) manifest.txt
	rm -f $(PACKAGE_NAME).zip ; \
	cd .. ; \
	zip -q -@ $(PACKAGE_NAME).zip < $(PACKAGE_DIR)/manifest.txt ; \
	mv $(PACKAGE_NAME).zip $(PACKAGE_DIR)

md5: $(ARCHIVES)
	@-md5sum $(PACKAGE_NAME).tar.gz
	@-md5sum $(PACKAGE_NAME).tar.bz2
	@-md5sum $(PACKAGE_NAME).zip

.PHONY: tarballs md5

=== src/gallium/auxiliary/Makefile ===
TOP = ../../..
include $(TOP)/configs/current

LIBNAME = gallium

# get source lists
include Makefile.sources

C_SOURCES += $(GENERATED_SOURCES)

ifeq ($(MESA_LLVM),1)
C_SOURCES += \
	$(GALLIVM_SOURCES)
CPP_SOURCES += \
	$(GALLIVM_CPP_SOURCES)
endif


include ../Makefile.template


indices/u_indices_gen.c: indices/u_indices_gen.py
	$(PYTHON2) $< > $@

indices/u_unfilled_gen.c: indices/u_unfilled_gen.py
	$(PYTHON2) $< > $@

util/u_format_srgb.c: util/u_format_srgb.py
	$(PYTHON2) $< > $@

util/u_format_table.c: util/u_format_table.py util/u_format_pack.py util/u_format_parse.py util/u_format.csv
	$(PYTHON2) util/u_format_table.py util/u_format.csv > $@

util/u_half.c: util/u_half.py
	$(PYTHON2) util/u_half.py > $@
# DO NOT DELETE

=== src/mapi/shared-glapi/Makefile ===
# src/mapi/shared-glapi/Makefile
#
# Used by OpenGL ES or when --enable-shared-glapi is specified
#

TOP := ../../..
include $(TOP)/configs/current

GLAPI := $(TOP)/src/mapi/glapi
MAPI := $(TOP)/src/mapi/mapi

glapi_CPPFLAGS := \
	-I$(TOP)/include \
	-I$(TOP)/src/mapi \
	-DMAPI_MODE_GLAPI \
	-DMAPI_ABI_HEADER=\"shared-glapi/glapi_mapi_tmp.h\"

include $(MAPI)/sources.mak
glapi_SOURCES := $(addprefix $(MAPI)/, $(MAPI_GLAPI_SOURCES))
glapi_OBJECTS := $(MAPI_GLAPI_SOURCES:.c=.o)

.PHONY: default
default: depend $(TOP)/$(LIB_DIR)/$(GLAPI_LIB_NAME)

$(TOP)/$(LIB_DIR)/$(GLAPI_LIB_NAME): $(glapi_OBJECTS)
	$(MKLIB) -o $(GLAPI_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
		-major 0 -minor 0 -patch 0 \
		-id $(INSTALL_LIB_DIR)/lib$(GLAPI_LIB).0.dylib \
		$(MKLIB_OPTIONS) -install $(TOP)/$(LIB_DIR) \
		$(glapi_OBJECTS) $(GLAPI_LIB_DEPS)

$(glapi_OBJECTS): %.o: $(MAPI)/%.c
	$(CC) -c $(glapi_CPPFLAGS) $(CFLAGS) $< -o $@

$(glapi_SOURCES): glapi_mapi_tmp.h

include $(GLAPI)/gen/glapi_gen.mk
glapi_mapi_tmp.h: $(GLAPI)/gen/gl_and_es_API.xml $(glapi_gen_mapi_deps)
	$(call glapi_gen_mapi,$<,shared-glapi)

.PHONY: clean
clean:
	-rm -f $(TOP)/$(LIB_DIR)/$(GLAPI_LIB_NAME)
	-rm -f $(glapi_OBJECTS)
	-rm -f depend depend.bak
	-rm -f glapi_mapi_tmp.h

install:
	$(INSTALL) -d $(DESTDIR)$(INSTALL_LIB_DIR)
	$(MINSTALL) $(TOP)/$(LIB_DIR)/$(GLAPI_LIB_GLOB) \
		$(DESTDIR)$(INSTALL_LIB_DIR)

# workaround a bug in makedepend
makedepend_CPPFLAGS := \
	$(filter-out -DMAPI_ABI_HEADER=%, $(glapi_CPPFLAGS))
$(glapi_OBJECTS): glapi_mapi_tmp.h

depend: $(glapi_SOURCES)
	@echo "running $(MKDEP)"
	@touch depend
	@$(MKDEP) $(MKDEP_OPTIONS) -f- $(DEFINES) $(makedepend_CPPFLAGS) \
		$(glapi_SOURCES) 2>/dev/null | sed -e 's,^$(MAPI)/,,' \
		> depend

-include depend

=== src/egl/wayland/wayland-drm/Makefile ===
# src/egl/wayland/wayland-drm/Makefile

TOP = ../../../..
include $(TOP)/configs/current

GEN_SOURCES = wayland-drm-protocol.c

GEN_HEADERS = wayland-drm-client-protocol.h wayland-drm-server-protocol.h

wayland_drm_SOURCES = wayland-drm.c $(GEN_SOURCES)
wayland_drm_OBJECTS = $(wayland_drm_SOURCES:.c=.o)

wayland_drm_INCLUDES = \
		$(WAYLAND_CFLAGS) \
		-I$(TOP)/src/egl/main \
		-I$(TOP)/include

# Generate protocol sources
prefix=$(shell $(PKG_CONFIG) --variable=prefix wayland-server)
exec_prefx=$(shell $(PKG_CONFIG) --variable=exec_prefix wayland-server)
wayland_protocoldir = $(PWD)/protocol
wayland_scanner=$(exec_prefix)/bin/wayland-scanner

default: depend libwayland-drm.a $(GEN_SOURCES) $(GEN_HEADERS)

libwayland-drm.a: $(wayland_drm_OBJECTS) Makefile
	$(MKLIB) -o wayland-drm -static $(wayland_drm_OBJECTS)
 
depend: 
	rm -f depend
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(wayland_drm_INCLUDES) $(wayland_drm_SOURCES) 2> /dev/null

clean:
	rm -rf libwayland-drm.a $(wayland_drm_OBJECTS) \
		$(GEN_SOURCES) $(GEN_HEADERS)
	rm -f depend depend.bak

install:
	@echo -n ""

$(wayland_drm_OBJECTS): %.o: %.c $(GEN_HEADERS)
	$(CC) -c $(wayland_drm_INCLUDES) $(CFLAGS) $< -o $@

include $(prefix)/share/aclocal/wayland-scanner.mk

sinclude depend

=== src/gallium/state_trackers/vdpau/Makefile ===
TOP = ../../../..
include $(TOP)/configs/current

LIBNAME = vdpautracker

VDPAU_MAJOR = 1
VDPAU_MINOR = 0
LIBRARY_DEFINES = -DVER_MAJOR=$(VDPAU_MAJOR) -DVER_MINOR=$(VDPAU_MINOR) $(STATE_TRACKER_DEFINES)

LIBRARY_INCLUDES = \
	$(shell $(PKG_CONFIG) --cflags-only-I vdpau) \
	-I$(TOP)/src/gallium/winsys/g3dvl

C_SOURCES = htab.c \
	    ftab.c \
	    device.c \
	    query.c \
	    surface.c \
	    decode.c \
	    presentation.c \
	    bitmap.c \
	    output.c \
	    preemption.c \
	    mixer.c


include ../../Makefile.template

=== src/gallium/targets/va-softpipe/Makefile ===
TOP = ../../../..
include $(TOP)/configs/current

LIBBASENAME = softpipe_drv_video

DRIVER_DEFINES = -DGALLIUM_SOFTPIPE
DRIVER_INCLUDES =

PIPE_DRIVERS = \
	$(TOP)/src/gallium/winsys/sw/xlib/libws_xlib.a \
	$(TOP)/src/gallium/drivers/softpipe/libsoftpipe.a \
	$(TOP)/src/gallium/auxiliary/libgallium.a

C_SOURCES = \
	$(TOP)/src/gallium/winsys/g3dvl/xlib/xsp_winsys.c

DRIVER_LIBS =

include ../Makefile.va

symlinks:

=== src/gallium/state_trackers/xorg/xvmc/Makefile ===
TOP = ../../../../..
include $(TOP)/configs/current

LIBNAME = xvmctracker

LIBRARY_INCLUDES = \
	$(shell $(PKG_CONFIG) --cflags-only-I xvmc) \
	-I$(TOP)/src/gallium/winsys/g3dvl

C_SOURCES = block.c \
            surface.c \
            context.c \
            subpicture.c \
            attributes.c

include ../../../Makefile.template

## mesa 8.0.5

=== Makefile ===
--- 
+++ 
@@ -184,7 +184,7 @@
 
 # Rules for making release tarballs
 
-PACKAGE_VERSION=8.0.4
+PACKAGE_VERSION=8.0.5
 PACKAGE_DIR = Mesa-$(PACKAGE_VERSION)
 PACKAGE_NAME = MesaLib-$(PACKAGE_VERSION)

## mesa 8.999+git20120919.6bd11bc9

=== src/glx/apple/Makefile ===
TOP = ../../..
top_builddir = $(TOP)
# This can be a filthy lie. But it doesn't currently build out-of-tree
# anyway, so it's no worse than what we've got now.
top_srcdir = $(TOP)

include $(TOP)/configs/current

#CC=gcc
#GL_CFLAGS=-Wall -ggdb3 -Os -DPTHREADS -D_REENTRANT $(RC_CFLAGS) $(CFLAGS)
#GL_LDFLAGS=-L$(INSTALL_DIR)/lib -L$(X11_DIR)/lib $(LDFLAGS) -Wl,-single_module

TCLSH=tclsh8.5
MKDIR=mkdir
INSTALL=install
LN=ln
RM=rm

#INCLUDE=-I. -Iinclude -I.. -DGLX_ALIAS_UNSUPPORTED -I$(INSTALL_DIR)/include -I$(X11_DIR)/include

#COMPILE=$(CC) $(INCLUDE) $(GL_CFLAGS) -c

#The directory with the final binaries.
BUILD_DIR=builds

default: $(TOP)/$(LIB_DIR)/$(GL_LIB_NAME)

SOURCES = \
	apple_cgl.c \
	apple_glx.c \
	apple_glx_context.c \
	apple_glx_drawable.c \
	apple_glx_log.c \
	apple_glx_pbuffer.c \
	apple_glx_pixmap.c \
	apple_glx_surface.c \
	apple_visual.c \
	apple_glapi.c \
	apple_xgl_api_read.c \
	apple_xgl_api_stereo.c \
	apple_xgl_api_viewport.c \
	appledri.c \
	../create_context.c \
	../clientattrib.c \
	../compsize.c \
	../glxconfig.c \
	glx_empty.c \
	../glx_error.c \
	../glx_pbuffer.c \
	../glx_query.c \
	../glxcmds.c \
	../glxcurrent.c \
	../glxext.c \
	../glxextensions.c \
	../glxhash.c \
	glxreply.c \
	../pixel.c \
	../xfont.c \
	../applegl_glx.c

include $(TOP)/src/mesa/sources.mak

# override GLAPI_LIB
GLAPI_LIB = $(TOP)/src/mapi/glapi/libglapi.a

LDFLAGS += -lXplugin -framework ApplicationServices -framework CoreFoundation

OBJECTS = $(SOURCES:.c=.o)

INCLUDES = -I. -Iinclude -I..\
	-I$(TOP)/include \
	-I$(TOP)/include/GL/internal \
	-I$(TOP)/src/mesa \
	-I$(TOP)/src/mesa/main \
	-I$(TOP)/src/mapi \
	-I$(TOP)/src/mapi/glapi \
	$(LIBDRM_CFLAGS) \
	$(DRI2PROTO_CFLAGS) \
	$(X11_INCLUDES)

##### RULES #####

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(EXTRA_DEFINES) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(EXTRA_DEFINES)  $< -o $@

##### TARGETS #####

default: depend $(TOP)/$(LIB_DIR)/$(GL_LIB_NAME)

# Make libGL
$(TOP)/$(LIB_DIR)/$(GL_LIB_NAME):  $(OBJECTS) $(GLAPI_LIB) Makefile
	$(MKLIB) -o $(GL_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
		-major 1 -minor 2 $(MKLIB_OPTIONS) \
		-install $(TOP)/$(LIB_DIR) -id $(INSTALL_LIB_DIR)/lib$(GL_LIB).1.dylib \
		$(GL_LIB_DEPS) $(OBJECTS) $(GLAPI_LIB)

$(GLAPI_LIB):
	@$(MAKE) -C $(TOP)/src/mapi/glapi

depend: $(SOURCES) $(MESA_GLAPI_SOURCES) $(MESA_GLAPI_ASM_SOURCES) Makefile
	rm -f depend
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) \
		$(MESA_GLAPI_SOURCES) $(MESA_GLAPI_ASM_SOURCES) 

# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find $(TOP)/include`

install_headers: include/GL/gl.h
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/include/GL
	$(INSTALL) -m 644 include/GL/gl.h $(DESTDIR)$(INSTALL_DIR)/include/GL

install_libraries: $(TOP)/$(LIB_DIR)/$(GL_LIB_NAME)
	$(MAKE) -C $(TOP)/src/mesa install-libgl

install: install_libraries

# Remove .o and backup files
clean:
	-rm -f *.o *.a *~
	-rm -f *.c~ *.h~
	-rm -f *.dylib
	-rm -f include/GL/gl.h
	-rm -f $(TOP)/$(LIB_DIR)/$(GL_LIB_GLOB)
	-rm -f *.o *~
	-rm -f depend depend.bak

-include depend

=== debian/changelog ===
mesa (8.999+git20120919.6bd11bc9-0+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * build from git master 6bd11bc9
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    - 000_debian-changes.patch: add pre 3.0 (quilt) modified upstream files
    - refresh or disable others
  * debian/rules:
    - clean: don't symlink as install-sh
  * move glu into src:mesa-glu package

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Thu, 20 Sep 2012 01:17:09 +0400

mesa (8.0.4-2) unstable; urgency=high

  * Use xz for all binary packages not just *-dbg.
  * glsl/linker: Avoid buffer over-run in
    parcel_out_uniform_storage::visit_field (CVE-2012-2864; closes: #685667).

 -- Julien Cristau <jcristau@debian.org>  Fri, 24 Aug 2012 00:09:47 +0200

mesa (8.0.4-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream stable release (Closes: #682703).
  * Cherry-pick commit fbf86c7f0f (i965/gen7: Reduce GT1 WM thread count
    according to updated BSpec.) from upstream.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jul 2012 13:17:06 +0200

mesa (8.0.3-1) unstable; urgency=low

  [ Robert Hooker ]
  * New upstream stable release (Closes: #673532)
  * Refresh patches.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 13 Jun 2012 14:58:54 +0200

mesa (8.0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 21:42:35 +0200

mesa (8.0.2-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream bugfix release. (LP: #926379)
  * control: libegl1-mesa-dev should depend on -drivers so that the
    symlinks work.

  [ Robert Hooker ]
  * Add libudev-dev to libgbm-dev dependencies.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Apr 2012 15:51:10 +0200

mesa (8.0-2) experimental; urgency=low

  [ Julien Cristau ]
  * Only build the radeon, r200, i915 and i965 dri drivers on Linux.  They
    require KMS.

  [ Cyril Brulebois ]
  * Fix FTBFS on GNU/kFreeBSD with libgl1-mesa-dri.install.kfreebsd.in:
    there's no *_dri.so file left in the top directory, only swrast is
    built and shipped under gallium/. So mention it explicitly, in the
    same way as it is done in the libgl1-mesa-dri.install.linux.in file.
  * Enable wayland support again, but only on Linux. Wayland needs some
    porting (it uses *CLOEXEC flags and epoll). For that, add those files
    since EGL packages are also shipped on GNU/kFreeBSD, and we need to
    add a few files for Wayland, but only for Linux:
    - libegl1-mesa-dev.install.linux.in
    - libegl1-mesa-drivers.install.linux.in
  * Limit the wl_drm_interface symbol to arch=linux-any accordingly,
    and bump the version.
  * Limit the build-dependency on libwayland-dev to linux-any too, and
    bump it.
  * Automatically revert changes to bin/{config.{guess,sub},install-sh} in
    the clean target. The first two are modified, the last one needs to be
    turned back into a symlink.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 14 Feb 2012 16:18:14 +0100

mesa (8.0-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Disable patch temporarily (needs a refresh):
    - 11-hurd-ftbfs-again.diff
  * Drop patch, no longer needed since swrastg was renamed to swrast:
    - 14-load-swrastg-before-swrast.diff
  * Update rules file to strop building DRI1 drivers, they went away
    with the following upstream commit:
    - dri: Remove all DRI1 drivers (e4344161bd).
  * Update not-installed for removed files.
  * Stop trying to ship swrastg through libgl1-mesa-dri-experimental,
    it replaced the non-gallium variant.

  [ Timo Aaltonen ]
  * Refresh patches.
  * control: Add libxcb-glx0-dev to build-depends.
  * control: Drop libglw1-mesa, libglw1-mesa-dev, glw got moved to a
    separate source package.
  * libegl-mesa.symbols, libgles2-mesa.symbols: Add new symbols.
  * rules: Drop obsolete configure options.
  * Enable vmwgfx gallium driver & xatracker. (Closes: #652501).
  * Build llvmpipe swrast only on non-hurd x86, traditional for the
    rest.
  * rules: No need to copy nouveau_vieux to the gallium dir, it's
    installed in libgl1-mesa-dri now.
  * rules: Handle installing r300_dri.so like other gallium drivers,
    in libgl1-mesa-dri.install.linux.in.

  [ Robert Hooker ]
  * Bump libdrm build dep to 2.4.30, x11proto-gl-dev to 1.4.14, and
    x11proto-dri2-dev to 2.6.
  * Add libxatracker packaging.
  * Add libxcb-glx0-dev to libegl1-mesa-dev depends.

  [ Christopher James Halse Rogers ]
  * debian/control: Add libx11-xcb-dev to libegl1-mesa-dev depends.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2012 14:02:04 +0100

mesa (7.11.2-1) unstable; urgency=low

  * New upstream release:
    - Fix a few intel bugs.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 11 Dec 2011 15:43:40 +0100

mesa (7.11.1-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream release.
  * Move the Nouveau drivers to the libgl1-mesa-dri package
    (Closes: #645239).
  * Install the swrastg driver in the libgl1-mesa-dri-experimental package
    (Closes: #605444).
    - New patch 14-load-swrastg-before-swrast.diff to prefer swrastg over
      swrast.
    - Build-depend on llvm-2.9-dev also on kfreebsd-{amd64,i386}.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Nov 2011 18:54:24 +0100

mesa (7.11-6) unstable; urgency=low

  [ Julien Cristau ]
  * Inline what's left of debian/scripts/choose-configs in debian/rules.
  * Enable texture-float for dri (closes: #635651).
  * Update from upstream's 7.11 branch (commit e7794048)
  * Merge changes from 7.10.3-4, including:
    - Fix comments in libegl1-mesa.symbols to avoid impending FTBFS with the
      upcoming dpkg-dev 1.16.1 (closes: #642690)

  [ Cyril Brulebois ]
  * Document the symlink dance in README.source.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 24 Sep 2011 20:32:55 +0200

mesa (7.11-5) unstable; urgency=low

  * Merge patch from Pino Tiscano (thanks!):
    - Use hurd-any instead of: hurd-i386 (“wildcard archs are free”).


=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.8.4
Build-Depends:
 debhelper (>= 8.1.3),
 quilt (>= 0.40),
 pkg-config,
 libdrm-dev (>= 2.4.30) [!hurd-any],
 libx11-dev,
 xutils-dev,
 x11proto-gl-dev (>= 1.4.14),
 libxxf86vm-dev,
 libexpat1-dev,
 dpkg-dev (>= 1.15.6),
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 autoconf,
 automake,
 x11proto-dri2-dev (>= 2.6),
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev,
 libxcb-glx0-dev,
 libxcb-xfixes0-dev,
 python-libxml2,
 libudev-dev [linux-any],
 flex,
 bison,
 llvm-2.9-dev [amd64 i386 kfreebsd-amd64 kfreebsd-i386],
 libwayland-dev (>= 0.85.0) [linux-any],
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libgl1-mesa-swx11
Section: libs
Priority: extra
Architecture: any
Depends:
 libosmesa6 (>= 6.5.2-1),
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: mesag3-glide, mesag3-glide2, mesag3+ggi, libgl1, nvidia-glx, mesag3, libgl1-mesa-swrast
Provides: libgl1, mesag3, libgl1-mesa-swrast
Replaces: libgl1, mesag3, libgl1-mesa-swrast
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- runtime
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.

Package: libgl1-mesa-swx11-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 ${misc:Depends},
Conflicts: libgl1-mesa-swrast-dbg
Provides: libgl1-mesa-swrast-dbg
Replaces: libgl1-mesa-swrast-dbg
Multi-Arch: same
Description: free implementation of the OpenGL API -- debugging symbols
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This package contains debugging symbols for the software rasterization GL
 library.

Package: libgl1-mesa-swx11-i686
Section: libs
Priority: extra
Architecture: any-i386
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa OpenGL runtime [i686 optimized]
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This set of libraries is optimized for i686 machines and will only be used if
 you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
 Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
 such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-swx11-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:
 libgl1-mesa-swx11 (= ${binary:Version}),
 libx11-dev,
 libxext6,
 mesa-common-dev (= ${binary:Version}),
 ${misc:Depends},
Provides: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Conflicts: mesa-dev, libgl-dev, mesag3 (<< 3.1-1), nvidia-glx-dev, mesag-dev, libgl1-mesa-swrast-dev
Replaces: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Description: free implementation of the OpenGL API -- development files
 This package provides the development environment required for
 compiling programs with Mesa.  For a complete description of Mesa,
 please look at the libgl1-mesa-swx11 package.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-dev.

Package: libxatracker1
Section: libs
Architecture: linux-any 
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libxatracker1 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- debugging symbols
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package contains the debugging symbols for the xatracker library.

Package: libxatracker-dev
Section: libdevel
Architecture: linux-any
Depends:
 libxatracker1 (= ${binary:Version}),
 ${misc:Depends},
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm1-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- debugging symbols
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package contains the debugging symbols for the GBM library.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 libudev-dev,
 ${misc:Depends},
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl1-mesa
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libegl1-mesa-drivers
Provides: libegl1-x11
Conflicts: libegl1-x11
Replaces: libegl1-x11
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- runtime
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains modules to interface with the existing system GLX or
 DRI2 drivers to provide OpenGL via EGL.  The libegl1-mesa-drivers package
 provides drivers to provide hardware-accelerated OpenGL|ES and OpenVG support.

Package: libegl1-mesa-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the debugging symbols for the EGL library.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa (= ${binary:Version}),
 libegl1-mesa-drivers (= ${binary:Version}),
 libdrm-dev (>= 2.4.19) [!hurd-any],
 x11proto-dri2-dev (>= 2.1),
 x11proto-gl-dev (>= 1.4.11),
 libx11-dev,
 libxext-dev,
 libxxf86vm-dev,
 libxdamage-dev,
 libxfixes-dev,
 libxcb-glx0-dev,
 libx11-xcb-dev,
 ${misc:Depends},
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libegl1-mesa-drivers
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libegl1-mesa (= ${binary:Version}),
 libglapi-mesa (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- hardware drivers
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the drivers required for hardware accelerated rendering
 of EGL-based graphics libraries, such as OpenGL|ES and OpenVG.

Package: libegl1-mesa-drivers-dbg
Section: debug
Priority: extra
Architecture: linux-any kfreebsd-any
Depends:
 libegl1-mesa-drivers (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- driver debugging symbols
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 This package contains the debugging symbols for the drivers required for
 hardware accelerated rendering of EGL-based graphics libraries.

Package: libopenvg1-mesa
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Provides: libopenvg1
Conflicts: libopenvg1
Replaces: libopenvg1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenVG API -- runtime
 This package contains the mesa implementation of the OpenVG 2D acceleration

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
CXXFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_DIR      ?= $(CURDIR)/build
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

# keep a list of files we don't install (yet), but since it's a bit
# large, use an external file:
include debian/not-installed

# build the following configurations by default
CONFIGS = swx11+glu \
	  swx11+glu-static \
	  dri \
	  osmesa \
	  osmesa-static \
	  osmesa16 \
	  osmesa16-static \
	  osmesa32 \
	  osmesa32-static

ifeq ($(DEB_HOST_ARCH_CPU), i386)
	CONFIGS += swx11+glu-i386-i686
endif

STAMP_DIR = debian/stamp
STAMP = $(STAMP_DIR)/$(DEB_BUILD_GNU_TYPE)
BUILD_STAMPS = $(addprefix $(STAMP)-build-, $(CONFIGS))

QUILT_STAMPFN = $(STAMP_DIR)/patch
include /usr/share/quilt/quilt.make

#	--disable-glu \
confflags-common = \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)"

DRI_DRIVERS =
GALLIUM_DRIVERS =

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	confflags_DIRECT_RENDERING = --disable-driglx-direct
	confflags_EGL = --disable-egl
	confflags_GALLIUM = --with-gallium-drivers=
	DRI_DRIVERS += swrast
else
	EGL_DISPLAYS = x11

  ifeq ($(DEB_HOST_ARCH_OS), linux)
# Gallium drivers require libdrm-{nouveau,radeon}, only available on Linux
	GALLIUM_DRIVERS += nouveau r600 r300 svga
# Although the KMS egl drivers will probably build on kfreebsd & hurd
# only linux actually has KMS drivers implemented at this point.
	EGL_DISPLAYS += drm
# Non-Linux ports also lack *_CLOEXEC and epoll, so wayland isn't ready yet:
	EGL_DISPLAYS += wayland
    ifeq (,$(filter $(DEB_HOST_ARCH), s390 s390x))
	DRI_DRIVERS += r200 radeon nouveau
    endif
    ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 i386))
	DRI_DRIVERS += i915 i965
    endif
  endif


# Build the llvmpipe driver only on amd64, i386 until it's tested elsewhere
  ifeq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 i386))
	DRI_DRIVERS += swrast
  else
	GALLIUM_DRIVERS += swrast
  endif

  # LLVM is required for r300g and recommended for swrastg on x86:
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386))
	confflags_GALLIUM += --enable-gallium-llvm
  endif

	confflags_DIRECT_RENDERING = --enable-driglx-direct
	confflags_EGL = --with-egl-platforms="$(EGL_DISPLAYS)"
	confflags_GALLIUM += --with-gallium-drivers="$(GALLIUM_DRIVERS)"
	confflags_GLES = --enable-gles1 --enable-gles2
	confflags_OPENVG = --enable-openvg --enable-gallium-egl
endif

confflags-dri = \
	--with-driver=dri \
	--with-dri-drivers="$(DRI_DRIVERS)" \
	--with-dri-driverdir=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	--with-dri-searchpath='/usr/lib/$(DEB_HOST_MULTIARCH)/dri:\$$$${ORIGIN}/dri:/usr/lib/dri' \
	--enable-glx-tls \
	--enable-shared-glapi \
	--enable-texture-float \
	--enable-xa \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_EGL) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_OPENVG) \
	$(confflags-common)

confflags-osmesa = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	$(confflags-common)

confflags-osmesa-static = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	--enable-static \
	$(confflags-common)

confflags-osmesa16 = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	--with-osmesa-bits=16 \
	$(confflags-common)

confflags-osmesa16-static = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	--with-osmesa-bits=16 \
	--enable-static \
	$(confflags-common)

confflags-osmesa32 = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	--with-osmesa-bits=32 \
	$(confflags-common)

confflags-osmesa32-static = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=osmesa \
	--with-osmesa-bits=32 \
	--enable-static \
	$(confflags-common)

confflags-swx11+glu = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=xlib \
	--disable-egl \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)"

confflags-swx11+glu-static = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=xlib \
	--enable-static \
	--disable-egl \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)"

confflags-swx11+glu-i386-i686 = \
	--disable-egl \
	--with-gallium-drivers= \
	--with-driver=xlib \
	--disable-egl \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/i686/cmov \
	CFLAGS="$(CFLAGS) -march=i686" \
	CXXFLAGS="$(CXXFLAGS) -march=i686"

autotools_files = bin/config.guess bin/config.sub

configure: $(QUILT_STAMPFN) configure.ac
	for file in $(autotools_files); do cp $$file $$file.pristine; done
	autoreconf -vfi

# list the configurations that will built
configs:
	@echo Building the following configurations: $(CONFIGS)

$(STAMP_DIR)/stamp:
	dh_testdir
	mkdir -p $(STAMP_DIR)
	>$@

$(QUILT_STAMPFN): $(STAMP_DIR)/stamp

build: build-stamp

build-stamp: $(BUILD_STAMPS)
	>$@

$(STAMP)-build-%: configure
	dh_testdir

	mkdir -p $(DEB_BUILD_DIR)/$*
	find $(CURDIR)/* -maxdepth 0 -not -path '$(DEB_BUILD_DIR)*' | \
		xargs cp -rlf -t $(DEB_BUILD_DIR)/$*

	cd $(DEB_BUILD_DIR)/$* && \
	../../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info --sysconfdir=/etc \
	             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	             --localstatedir=/var $(confflags) $(confflags-$*)
	cd $(DEB_BUILD_DIR)/$* && $(MAKE)
	>$@

install: build
	# Add here commands to install the package into debian/tmp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	set -e; for config in $(filter-out dri, $(CONFIGS)); do \
		$(MAKE) -C $(DEB_BUILD_DIR)/$$config DESTDIR=$(CURDIR)/debian/tmp install; \
	done
	$(MAKE) -C $(DEB_BUILD_DIR)/dri DESTDIR=$(CURDIR)/debian/tmp/dri install
	for file in debian/*.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

clean: unpatch
	dh_testdir
	rm -rf .pc

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf build
	rm -rf configure config.guess config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf aclocal.m4 missing depcomp install-sh ltmain.sh
	rm -rf $(STAMP_DIR)
	for file in debian/*.in; do rm -f $${file%%.in}; done
	# Those are auto-updated, grr:
	for file in $(autotools_files); do if [ -f $$file.pristine ]; then mv -f $$file.pristine $$file; fi; done
	#ln -sf minstall bin/install-sh

	dh_clean

# Build architecture-independent files here.
binary-indep: install

allpkg = $(shell dh_listpackages -s)
dbgpkg = $(filter %-dbg, $(allpkg))
otherpkg = $(filter-out %-dbg, $(allpkg))
havedbgpkg = $(patsubst %-dbg,%,$(dbgpkg))
nodbgpkg = $(filter-out $(havedbgpkg),$(otherpkg))

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installchangelogs -pmesa-common-dev
	dh_installdocs -s
	dh_installexamples -s

	# Classic DRI and Gallium DRI are mixed up together here
	# Remove the whole tree to avoid false-positives in --list-missing, and
	# install the right files manually.

=== debian/watch ===
#git=git://anongit.freedesktop.org/mesa/mesa
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+repack//,pasv" \
ftp://freedesktop.org/pub/mesa/([\d\.]*)/ MesaLib-(.*)\.tar\.gz

## mesa 10.1.0

=== src/glx/apple/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include $(TOP)/configs/current
 
 #CC=gcc
-#GL_CFLAGS=-Wall -ggdb3 -Os -DPTHREADS -D_REENTRANT $(RC_CFLAGS) $(CFLAGS)
+#GL_CFLAGS=-Wall -ggdb3 -Os -DHAVE_PTHREAD -D_REENTRANT $(RC_CFLAGS) $(CFLAGS)
 #GL_LDFLAGS=-L$(INSTALL_DIR)/lib -L$(X11_DIR)/lib $(LDFLAGS) -Wl,-single_module
 
 TCLSH=tclsh8.5
@@ -58,7 +58,7 @@
 	../xfont.c \
 	../applegl_glx.c
 
-include $(TOP)/src/mesa/sources.mak
+include $(TOP)/src/mesa/Makefile.sources
 
 # override GLAPI_LIB
 GLAPI_LIB = $(TOP)/src/mapi/glapi/libglapi.a

## mesa 13.0.4

=== SConstruct ===
#######################################################################
# Top-level SConstruct
#
# For example, invoke scons as
#
#   scons build=debug llvm=yes machine=x86
#
# to set configuration variables. Or you can write those options to a file
# named config.py:
#
#   # config.py
#   build='debug'
#   llvm=True
#   machine='x86'
#
# Invoke
#
#   scons -h
#
# to get the full list of options. See scons manpage for more info.
#

import os
import os.path
import sys
import SCons.Util

import common

#######################################################################
# Configuration options

opts = Variables('config.py')
common.AddOptions(opts)

env = Environment(
	options = opts,
	tools = ['gallium'],
	toolpath = ['#scons'],
	ENV = os.environ,
)

# XXX: This creates a many problems as it saves...
#opts.Save('config.py', env)

# Backwards compatability with old target configuration variable
try:
    targets = ARGUMENTS['targets']
except KeyError:
    pass
else:
    targets = targets.split(',')
    print 'scons: warning: targets option is deprecated; pass the targets on their own such as'
    print
    print '  scons %s' % ' '.join(targets)
    print
    COMMAND_LINE_TARGETS.append(targets)


Help(opts.GenerateHelpText(env))

#######################################################################
# Environment setup

with open("VERSION") as f:
  mesa_version = f.read().strip()
env.Append(CPPDEFINES = [
    ('PACKAGE_VERSION', '\\"%s\\"' % mesa_version),
    ('PACKAGE_BUGREPORT', '\\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\\"'),
])

# Includes
env.Prepend(CPPPATH = [
	'#/include',
])
env.Append(CPPPATH = [
	'#/src/gallium/include',
	'#/src/gallium/auxiliary',
	'#/src/gallium/drivers',
	'#/src/gallium/winsys',
])

# for debugging
#print env.Dump()


# Add a check target for running tests
check = env.Alias('check')
env.AlwaysBuild(check)


#######################################################################
# Invoke host SConscripts
#
# For things that are meant to be run on the native host build machine, instead
# of the target machine.
#

# Create host environent
if env['crosscompile'] and not env['embedded']:
    host_env = Environment(
        options = opts,
        # no tool used
        tools = [],
        toolpath = ['#scons'],
        ENV = os.environ,
    )

    # Override options
    host_env['platform'] = common.host_platform
    host_env['machine'] = common.host_machine
    host_env['toolchain'] = 'default'
    host_env['llvm'] = False

    host_env.Tool('gallium')

    host_env['hostonly'] = True
    assert host_env['crosscompile'] == False

    target_env = env
    env = host_env
    Export('env')

    SConscript(
        'src/SConscript',
        variant_dir = host_env['build_dir'],
        duplicate = 0, # http://www.scons.org/doc/0.97/HTML/scons-user/x2261.html
    )

    env = target_env

Export('env')

#######################################################################
# Invoke SConscripts

# TODO: Build several variants at the same time?
# http://www.scons.org/wiki/SimultaneousVariantBuilds

SConscript(
	'src/SConscript',
	variant_dir = env['build_dir'],
	duplicate = 0 # http://www.scons.org/doc/0.97/HTML/scons-user/x2261.html
)


########################################################################
# List all aliases

try:
    from SCons.Node.Alias import default_ans
except ImportError:
    pass
else:
    aliases = default_ans.keys()
    aliases.sort()
    env.Help('\n')
    env.Help('Recognized targets:\n')
    for alias in aliases:
        env.Help('    %s\n' % alias)
